﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ten kod został wygenerowany przez narzędzie.
//     Wersja wykonawcza:4.0.30319.42000
//
//     Zmiany w tym pliku mogą spowodować nieprawidłowe zachowanie i zostaną utracone, jeśli
//     kod zostanie ponownie wygenerowany.
// </auto-generated>
//------------------------------------------------------------------------------



[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(ConfigurationName="IWcfService")]
public interface IWcfService
{
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IWcfService/Silnia", ReplyAction="http://tempuri.org/IWcfService/SilniaResponse")]
    int Silnia(int _n);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IWcfService/Silnia", ReplyAction="http://tempuri.org/IWcfService/SilniaResponse")]
    System.Threading.Tasks.Task<int> SilniaAsync(int _n);
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface IWcfServiceChannel : IWcfService, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class WcfServiceClient : System.ServiceModel.ClientBase<IWcfService>, IWcfService
{
    
    public WcfServiceClient()
    {
    }
    
    public WcfServiceClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public WcfServiceClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public WcfServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public WcfServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public int Silnia(int _n)
    {
        return base.Channel.Silnia(_n);
    }
    
    public System.Threading.Tasks.Task<int> SilniaAsync(int _n)
    {
        return base.Channel.SilniaAsync(_n);
    }
}
